# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

## [v1.2.0](https://github.com/emacs-citar/citar/compare/v1.1...v1.2.0) - 2023-03-15

### Fixed

- citeproc: Use Citar cache [`#702`](https://github.com/emacs-citar/citar/issues/702)
- cache: Don't restrict fields parsed [`#741`](https://github.com/emacs-citar/citar/issues/741)
- citar-citeproc-format-reference: Add style arg [`#737`](https://github.com/emacs-citar/citar/issues/737)
- Make citar-open-entry configurable [`#736`](https://github.com/emacs-citar/citar/issues/736)
- Don't use setf with buffer-substring [`#729`](https://github.com/emacs-citar/citar/issues/729)

### Commits

- Add formatting options for citar--shorten-names [`b9d6b75`](https://github.com/emacs-citar/citar/commit/b9d6b75c80a90bc1b9b830d4ce112a1f8fa75b54)
- Allow transform modifiers in templates [`15431d4`](https://github.com/emacs-citar/citar/commit/15431d4294f6b7599dba8288ed401ccd2f27e23e)
- capf: Add citar-capf-setup [`2f61054`](https://github.com/emacs-citar/citar/commit/2f610542bd69bb271529a01b402820e3f27caa6f)

## [v1.1](https://github.com/emacs-citar/citar/compare/v1.0...v1.1) - 2023-02-16

### Merged

- github-ci: install all dependencies in the Eldev "prepare" step [`#718`](https://github.com/emacs-citar/citar/pull/718)
- Fix linter warnings on indentation and long docstring lines. [`#698`](https://github.com/emacs-citar/citar/pull/698)

### Fixed

- capf: Refactor to complete on key, use cache [`#660`](https://github.com/emacs-citar/citar/issues/660)
- Add previous inputs to defaults in multi-selection [`#714`](https://github.com/emacs-citar/citar/issues/714)
- test/manual: Clarify license [`#712`](https://github.com/emacs-citar/citar/issues/712)
- Call predicate on candidate display string (fix #708) [`#708`](https://github.com/emacs-citar/citar/issues/708)
- citar-file: Unescape filenames in citar-file--parser-default [`#693`](https://github.com/emacs-citar/citar/issues/693)
- Fix linter warnings on indentation and long docstring lines. (#698) [`#697`](https://github.com/emacs-citar/citar/issues/697)
- Add binding hint to multi UI [`#686`](https://github.com/emacs-citar/citar/issues/686)

### Commits

- Update docstrings, KEY arg to CITEKEY [`52050ca`](https://github.com/emacs-citar/citar/commit/52050ca5aeaffa7d08ea3e3cc20042a9bcbeee05)
- Fix indent formatting [`b0605c3`](https://github.com/emacs-citar/citar/commit/b0605c30a98539ea717a80cd1572f3296b7af6aa)
- Revert "Add previous inputs ..." [`ea489ec`](https://github.com/emacs-citar/citar/commit/ea489eca7f5321b5ede1ea294abf47ecbc9f11ca)

## [v1.0](https://github.com/emacs-citar/citar/compare/v0.9.7...v1.0) - 2022-08-09

### Merged

- Minor refactor of `citar-add-file-to-library` [`#671`](https://github.com/emacs-citar/citar/pull/671)

### Fixed

- Regeneralize citar-open-entry [`#644`](https://github.com/emacs-citar/citar/issues/644)
- Make file opening more customizable [`#507`](https://github.com/emacs-citar/citar/issues/507)
- Allow `citar-select-refs` to be used with `embark-act`. [`#655`](https://github.com/emacs-citar/citar/issues/655)

### Commits

- Remove extra entries argument to API functions [`1257ebf`](https://github.com/emacs-citar/citar/commit/1257ebf29faa48a61b772554154641fe949df56a)
- `citar-open` and `citar-open-notes` now allow creating notes. [`8475c1f`](https://github.com/emacs-citar/citar/commit/8475c1fd2b8d2171b7c9dd4318aa67d09c62b820)
- Update `citar-open` and related functions to properly handle notes. [`9115f8d`](https://github.com/emacs-citar/citar/commit/9115f8dbd49a0e2c758628ebd90b0e9f2fad7908)

